import { OnInit, OnDestroy } from '@angular/core';
import { BaseDynComponent } from '../../../core/base-dyn/base-dyn.component';
import { DataTableComponentInputs } from './data-table.component.inputs';
export declare class DataTableComponent extends BaseDynComponent implements OnInit, OnDestroy {
    inputs: DataTableComponentInputs;
    tableColsLabel: string[];
    tableData: any[];
    tableColsAdvancedConfig: {
        [key: number]: 'html';
    };
    private dataSub;
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setData;
}
